## org.mortbay.jetty.jmx
Class ServerMBean

    java.lang.Object
      |
      +--org.mortbay.util.jmx.ModelMBeanImpl
            |
            +--org.mortbay.util.jmx.LifeCycleMBean
                  |
                  +--org.mortbay.http.jmx.HttpServerMBean
                        |
                        +--org.mortbay.jetty.jmx.ServerMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, java.util.EventListener, HttpServer.ComponentEventListener, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

Direct Known Subclasses:
  ServerMBean

public class ServerMBean
extends HttpServerMBean

JettyServer MBean. This Model MBean class provides the mapping for HttpServer management methods. It also registers itself as a membership listener of the HttpServer, so it can create and destroy MBean wrappers for listeners and contexts.

Version:
  $Revision: 1.4.2.1 $
Author:
  Greg Wilkins (gregw)

Field Summary

Fields inherited from class org.mortbay.util.jmx.ModelMBeanImpl
`IMPACT_ACTION, IMPACT_ACTION_INFO, IMPACT_INFO, IMPACT_UNKOWN, INT, NO_PARAMS, OBJECT, ON_MBEAN, ON_OBJECT, READ_ONLY, READ_WRITE, STRING`

Constructor Summary
`ServerMBean()` Constructor.
`ServerMBean(java.lang.String configuration)` Constructor.

Method Summary
`void` `postDeregister()` Post Deregister.
`void` `postRegister(java.lang.Boolean ok)`

Methods inherited from class org.mortbay.http.jmx.HttpServerMBean
`addComponent, getComponents, getVersion, removeComponent, setManagedResource`

Methods inherited from class org.mortbay.util.jmx.ModelMBeanImpl

`addAttributeChangeNotificationListener, addNotificationListener, defineAttribute, defineAttribute, defineAttribute, defineAttribute, defineOperation, defineOperation, defineOperation, getAttribute, getAttributes, getBaseObjectName, getDefaultDomain, getManagedResource, getMBeanInfo, getMBeanServer, getNotificationInfo, getObjectName, invoke, load, mbeanFor, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setBaseObjectName, setDefaultDomain, setModelMBeanInfo, store, uniqueObjectName, uniqueObjectName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerMBean

    public ServerMBean()
                throws javax.management.MBeanException,
                       javax.management.InstanceNotFoundException

  Constructor.

Throws:
  `javax.management.MBeanException`
  `javax.management.InstanceNotFoundException`

### ServerMBean

    public ServerMBean(java.lang.String configuration)
                throws java.io.IOException,
                       javax.management.MBeanException,
                       javax.management.InstanceNotFoundException

  Constructor.

Parameters:
  `configuration` - URL or File to jetty.xml style configuration file
Throws:
  `java.io.IOException`
  `javax.management.MBeanException`
  `javax.management.InstanceNotFoundException`

Method Detail

### postRegister

    public void postRegister(java.lang.Boolean ok)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postRegister` in class `HttpServerMBean`
  Parameters:
    `ok` -

### postDeregister

    public void postDeregister()

  Description copied from class: `ModelMBeanImpl`
  Post Deregister. This implementation destroys this MBean and it cannot be used again.

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postDeregister` in class `HttpServerMBean`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.